/* -*- C++ -*-
 * $Id: flpixmap.h,v 1.4 2002/03/30 08:53:08 ttate Exp $
 */

#ifndef RBFLPIXMAP_H
#define RBFLPIXMAP_H

#include <FL/Fl_Pixmap.H>
#if FLTK_VERSION >= FLTK_VERSION_CODE(1,1,0)
#include <FL/Fl_GIF_Image.H>
#endif

extern VALUE rb_cFLPixmap;
extern VALUE rb_cFLGIF_Image;

class RBFLPixmap : public Fl_Pixmap {
public:
  RBFLPixmap(char ** d) : Fl_Pixmap(d){};
};

#if FLTK_VERSION >= FLTK_VERSION_CODE(1,1,0)
class RBFLGIF_Image : public Fl_GIF_Image {
public:
  RBFLGIF_Image(const char *filename) : Fl_GIF_Image(filename) {};
};
#endif

extern "C" void Init_flpixmap();

#endif /* RBFLPIXMAP_H */
