/* -*- C++ -*-
 * $Id: flspinner.h,v 1.3 2007/01/09 00:43:17 jeremy_henty Exp $
 */

#ifndef RBFLSPINNER_H
#define RBFLSPINNER_H

#include "flgroup.h"

#if defined(HAVE_FL_FL_SPINNER_H)

#include <FL/Fl_Spinner.H>

#ifdef HAVE_FL_SPINNER_TYPO_FIX
RBFL_CLASS(Spinner);
#else
class RBFLSpinner : public Fl_Spinner
{
public:
  RBFLSpinner(int x, int y, int w, int h, const char *label = 0)
    : Fl_Spinner(x,y,w,h,label){};
  RBFL_CALLERS(Fl_Spinner);
  // typo fixes 
  double minimum() const { return Fl_Spinner::mininum(); }
  void minimum(double m) { Fl_Spinner::minimum(m); }
  double maximum() const { return Fl_Spinner::maxinum(); }
  void maximum(double m) { Fl_Spinner::maximum(m); }
};
#endif

extern VALUE rb_cFLSpinner;

extern "C" void Init_flspinner(void);

#endif /* HAVE_FL_FL_SPINNER_H ... */

#endif /* RBFLSPINNER_H */
