# $Id: clock.rb,v 1.11 2006/12/31 11:58:23 jeremy_henty Exp $

require 'fltk'
require 'fltk/thread'

FLTK::Window.new(100,120,'Clock'){|win|
  FLTK::Pack.new(10,10,80,100){|pack|
    pack.pack_type = FLTK::Pack::VERTICAL
    @clock = FLTK::Clock.new(80,80)
    @box = FLTK::Box.new(80,20,"??:??:??")
    @box.box = FLTK::THIN_DOWN_BOX
  }
  win.show
}

Thread.new{
  loop{
    @box.label = sprintf("%02d:%02d:%02d",
                         @clock.hour, @clock.minute, @clock.second)
    sleep(1)
  }
}

FLTK.run
